TWEEPER(1)

NAME
tweeper - web scraper to convert supported websites (e.g. Twitter.com) to RSS

SYNOPSIS

tweeper [OPTIONS] URL

DESCRIPTION

tweeper(1) is a web scraper which can be used to conveniently follow the public activity of social network users without the need to log in or even be subscribed to the social network; tweeper converts the public information to RSS so that it can be accessed and collected by a feed reader.

tweeper started as the TWitter fEEd scraPER but support for other web sites has been added.

The sites that tweeper is able to scrape and convert to RSS are:

    • Twitter.com

    • Pump.io based websites, like Identi.ca

    • Dilbert.com

    • Howtoons.com

    • Instagram.com

    • Facebook.com (public pages)

tweeper can be used as:

    1. a command line tool;

    2. a filter for feed readers;

    3. a web based tool when used with a PHP-enabled web server.

OPTIONS

-e
    show links to supported media files in the RSS <enclosure/> element

-h, --help
    show the help message

EXAMPLE OF USE

Getting the RSS feed of some Twitter user:

    tweeper http://twitter.com/NSACareers

Using tweeper as a filter for the Liferea feed reader:

    liferea-add-feed  "|tweeper http://twitter.com/NSAcareers"

To use tweeper via web there are two options (the examples assume the installation directory to be /usr/share/php/tweeper/):

    1. Using the PHP built-in web server:

        php -S localhost:8000 -t /usr/share/php/tweeper/

    and then visit http://localhost:8000/tweeper.php in the web browser.

    2. Using a generic web server with the document root in /var/www:

        sudo ln -s /usr/share/php/tweeper/tweeper.php /var/www
        xdg-open http://localhost/tweeper.php?src_url=http://twitter.com/NSAcareers

    It is enough to create the symlink only the very first time tweeper is used this way.

NOTES

In order to use tweeper with a symlink with the apache userdir module, the SymLinksIfOwnerMatch option must be replaced by FollowSymlink in /etc/apache2/mods-enabled/userdir.conf

EXIT STATUS

0
    Success

!0
    Failure

AUTHORS

Antonio Ospite

RESOURCES

Main web site: http://git.ao2.it/tweeper.git

COPYING

Copyright (C) 2013-2015 Antonio Ospite <ao2@ao2.it>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.